- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- MigrationJob
- DashboardMigrationResult
- DashboardMigrationState
Full name: projects.locations.instances.dashboards.fetchMigrationJobs
Fetch migration jobs for a given customer.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/dashboards:fetchMigrationJobs
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource for which to fetch migration jobs. Format: projects/{project}/locations/{region}/instances/{instance} |
Query parameters
| Parameters | |
|---|---|
migrationJobId |
Optional. The ID of the migration job to fetch. |
Request body
The request body must be empty.
Response body
Response message for fetching migration jobs.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"migrationJobs": [
{
object ( |
| Fields | |
|---|---|
migrationJobs[] |
Output only. The migration jobs. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
MigrationJob
Migration job details.
| JSON representation |
|---|
{ "migrationJobId": string, "jobMigrationStatus": enum ( |
| Fields | |
|---|---|
migrationJobId |
Output only. The ID of the migration job. |
jobMigrationStatus |
Output only. The status of the migration job. |
results[] |
Output only. The results of the individual dashboard migrations. |
startedBy |
Output only. The user who started the migration job. |
startTime |
Output only. The time when the migration job started. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
endTime |
Output only. The time when the migration job ended. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
DashboardMigrationResult
Result of a single dashboard migration.
| JSON representation |
|---|
{
"dashboard": string,
"status": enum ( |
| Fields | |
|---|---|
dashboard |
Output only. The resource name of the legacy dashboard. |
status |
Output only. The status of the migration. |
errorMessage |
Output only. Error message if the migration failed. |
nativeDashboard |
Output only. The resource name of the native dashboard created. |
DashboardMigrationState
State of the dashboard migration.
| Enums | |
|---|---|
DASHBOARD_MIGRATION_STATE_UNSPECIFIED |
Default value. This value is unused. |
DASHBOARD_MIGRATION_STATE_PENDING |
The migration is pending. |
DASHBOARD_MIGRATION_STATE_IN_PROGRESS |
The migration is in progress. |
DASHBOARD_MIGRATION_STATE_SUCCESS |
The migration was successful. |
DASHBOARD_MIGRATION_STATE_NEEDS_REVIEW |
The migration needs review. |
DASHBOARD_MIGRATION_STATE_FAILED |
The migration failed. |